OpenWrt 19.07.1 ath79 tiny LuCI

This is a package of OpenWRT 19.07.1 stable builds for targets ath79.

Modifications against default tiny packages:

  • removed PPP support package
  • removed OPKG package
  • added LuCI

This way the builds could fit into squashfs (factory/sysupgrade) compatible builds.

Please note there is still upgrading incompatibility against deprecated target ar71xx (OpenWRT version 18.06 or older), please see https://openwrt.org/docs/guide-user/installation/ar71xx.to.ath79 for more info.

Builds have not been tested for all devices, but compiling resulted in no errors.

https://ashus.ashus.net/thread-184.html

1 Like

Is PPPoE there?

No, PPP and all variants of it were removed. Nowadays those 4/32MB routers are best for just extending signal range.

3 Likes

Thank you for clarification!

Yes i agree lot of them are great as AP or RE.

its a good idea to put old 4MB routers outv of the closet and use them again as RE, to be honest even at days 4MB had PPP support, they were not used as Routers due to their unsufficient CPU...can you tell me if this image is compatible with TL-WN 841N v11?

I think you mean TL-WR841N/D v11 and there is image for that in my list, so it should be compatible. If upgrading from another architecture, please remember to flash without keeping settings.

Yesterday I tried another image to flash - the device was TL-WR941ND v3.6. Although it reported back as incompatible, I successfully flashed the TL-WR941-v2/v3 version over it using CLI with force. The device compatibility ID changed as v2 and v3 were identical.

Careful with snapshots though, the tl-wr941nd v2/ v3 does not have push-button tftp recovery.

1 Like

Can you add MR3420 v2. Thank you.

I'm sorry but this hw revision is not ready in 19.07.1 stable, only in snapshots. I could compile it with LuCI for you, but snapshots might not work as expected. Probably next stable release will include this hw revision.

Images rebuilt with added relayd package. It should help with cases where you extend LAN over WLAN while using the device as wireless client.

Can you compile me with snapshot build i just need luci ang sqm. Thats all i need. thank you.

Indeed. I still use some WR841 for UPnP and SQM. Would be nice to update them.

Sorry, I just tried it and SQM and its dependencies are way too large to fit in any of the tiny images.

I see. I have some Winbond 25Q64FV laying around. Would be nice to have them work on those WR841. At least for SQM and UPnP. But I don't have the skills for compiling and making those custom chips work.

OpenWRT 19.07.2 compiled. Download location is almost the same - just another directory.

Can you provide config file to compile?. Thanks.

File named config added to the folder if you need to make small changes.

1 Like

Thanks, i want to add WOL, and maybe QOS.

Does it support archer c60v2. I am new to openwrt so not sure.

OpenWRT 19.07.2 compiled. Download location is almost the same - just another directory.

Can UPnP with its Luci be included?